Skip to main content
GET
Get a single Group Enrollment

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

enrollment_id
string<uuid>
required

Unique identifier of the group enrollment

Example:

"7499ea07-76c9-40f2-992b-952259e98384"

Response

200 - application/json

Successful Response - Returns a single Group Enrollment

carrier_id
string<uuid>
required

Unique identifier of the associated carrier in the Noyo system

created
integer
required

The date the record was created

group_id
string<uuid>
required

Unique identifier of the associated group in the Noyo system

id
string<uuid>
required

Unique identifier of the record in Noyo

line_of_coverage
enum<string>
required

Line of coverage for the group enrollment

Available options:
medical,
dental,
vision,
life,
add,
std,
ltd,
accident,
critical_illness,
cancer,
health_fund,
hospital_indemnity,
pharmacy,
wellness
modified
integer
required

The date the record was last updated

status
enum<string>
required

Status of the group enrollment

Available options:
pending,
active,
completed
version
string<uuid>
required

Current version of the record

effective_end_date
string<date> | null

ISO-8601 date string for the effective end date of the record

Example:

"2018-12-31"

effective_start_date
string<date> | null

ISO-8601 date string for the effective start date of the record

Example:

"2018-01-01"

open_enrollment_end_date
string<date> | null

ISO-8601 date string for the open enrollment end date of the group enrollment

Example:

"2018-11-30"

open_enrollment_renewal_date
string<date> | null

ISO-8601 date string for the open enrollment renewal start date of the group enrollment

Example:

"2018-12-01"

open_enrollment_start_date
string<date> | null

ISO-8601 date string for the open enrollment start date of the group enrollment

Example:

"2018-11-01"